create_sample(3)

NAME
create_sample - Constructs a new sample structure of the specified type. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

SAMPLE *create_sample(int bits, int stereo, int freq, int len);

DESCRIPTION
Constructs a new sample structure of the specified type. Read chapter "Structures and types defined by Allegro" for an internal description of the SAMPLE structure. The `bits' parameter can be 8 or 16, `stereo' can be zero for mono samples and non-zero for stereo samples, `freq' is the frequency in hertz, and `len' is the number of samples you want to allocate for the full sound buffer.

RETURN VALUE
Returns a pointer to the created sample, or NULL if the sample could not be created. Remember to free this sample later to avoid memory leaks.

SEE ALSO
load_sample(3), destroy_sample(3)